You are not logged in.

#301 2015-07-22 15:40:57

adventurer
Member
Registered: 2014-05-04
Posts: 98

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

fosskers wrote:

Hey guys, Aura has been updated to point to AUR4. Enjoy!

Thanks  a lot - that's very helpful! One question, though: What will happen on/after August 8th when AUR4 will be moved to aur.archlinux.org?

Offline

#302 2015-07-23 18:40:04

fosskers
Member
Registered: 2012-02-21
Posts: 166
Website

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

I'll switch the URL endpoints internally, and release 1.3.2.1 to force the update for everyone.


Author of Aura

Offline

#303 2015-07-24 10:45:37

adventurer
Member
Registered: 2014-05-04
Posts: 98

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

fosskers wrote:

I'll switch the URL endpoints internally, and release 1.3.2.1 to force the update for everyone.

Great - thanks again!

Offline

#304 2015-09-09 17:33:10

phaseburn
Member
Registered: 2013-11-21
Posts: 9

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

I know that aura doesn't (and, never will) support bash expansion - been stated a few times. So, how do we get around packages that are using it, like wine-staging? They're slowly increasing in number, it seems.

$ aura -A wine-staging
aura >>= Determining dependencies...
aura >>= Dependency checking failed for these reasons:
The dependency `autoconf[@]}` could not be found. You may need to search for a package to satisfy it.

Offline

#305 2015-09-09 18:49:13

progandy
Member
Registered: 2012-05-17
Posts: 4,880

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

aura should read the information from .SRCINFO which should contain the necessary information in plaintext.
Edit: The wine-staging PKGBUILD should be migrated to architecture-specific variables instead of the if/else blocks, too.

Last edited by progandy (2015-09-09 18:53:13)


| alias CUTF='LANG=en_XX.UTF-8@POSIX ' |

Offline

#306 2015-09-17 12:22:21

ozky
Member
From: Finland
Registered: 2013-08-01
Posts: 11

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

fosskers wrote:

I'll switch the URL endpoints internally, and release 1.3.2.1 to force the update for everyone.

Where is that update what forces it ? now this aura is quite broked as it fails connect to aur4 url down is that error from terminal.

FailedConnectionException "aur4.archlinux.org" 443 

Arch linux x64 lxqt acer aspire e1-571

Offline

#307 2015-09-17 13:37:05

tehgeek
Member
Registered: 2013-02-24
Posts: 12

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

ozky wrote:
fosskers wrote:

I'll switch the URL endpoints internally, and release 1.3.2.1 to force the update for everyone.

Where is that update what forces it ? now this aura is quite broked as it fails connect to aur4 url down is that error from terminal.

FailedConnectionException "aur4.archlinux.org" 443 

The interesting thing is I don't see this in my desktop box, but do see it on one of my VMs. One works fine and other doesn't. Config is basically the same as they are from the same clone. =/

Offline

#308 2015-09-17 13:43:21

Awebb
Member
Registered: 2010-05-06
Posts: 5,935

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

That's one of my main complaints with AUR helpers. The aurweb software is available and yet most helpers have the URL hard coded and not in an option. There was a discussion on the AUR mailing list regarding the API transmitting the AUR item URL for cases like this. Compiling a second binary for a different URL is not a big deal, but I am a fan of generic software not tailored to a service.

Offline

#309 2015-10-03 06:46:50

skunkos
Member
From: Czech Republic
Registered: 2011-06-20
Posts: 46
Website

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

Does any have BASH one-liner which outputs count of upgradeable AUR packages? Or one-liner to list the actual upgradeable packages?

Been tryin' but not successfull with AURA. sad

Offline

#310 2015-10-03 16:04:23

fosskers
Member
Registered: 2012-02-21
Posts: 166
Website

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

@skunkos: `aura -Au --dryrun` can help you there.


Author of Aura

Offline

#311 2015-10-03 16:07:00

fosskers
Member
Registered: 2012-02-21
Posts: 166
Website

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

Hey everyone, Aura has been updated to 1.3.2.1. It includes fixes for a breaking bug that prevented `-A` operations from working.

You will likely need to update aura manually. You can try:

1. `aura -Aw aura-bin` (if you prefer aura-bin, as many do)
2. Untar the tarball.
3. Enter the `aura-bin` directory.
4. `makepkg`
5. `aura -U <the long package name that just got made>`

Enjoy!


Author of Aura

Offline

#312 2015-10-03 16:44:42

skunkos
Member
From: Czech Republic
Registered: 2011-06-20
Posts: 46
Website

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

fosskers wrote:

@skunkos: `aura -Au --dryrun` can help you there.

Thank you. smile

Offline

#313 2015-10-14 00:44:02

skwid
Member
Registered: 2009-09-20
Posts: 105

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

fosskers wrote:

Hey everyone, Aura has been updated to 1.3.2.1. It includes fixes for a breaking bug that prevented `-A` operations from working.

You will likely need to update aura manually. You can try:

1. `aura -Aw aura-bin` (if you prefer aura-bin, as many do)
2. Untar the tarball.
3. Enter the `aura-bin` directory.
4. `makepkg`
5. `aura -U <the long package name that just got made>`

Enjoy!

Is the link down for the tar file?   'aura -Aw aura-bin' doesnt result in a file.  Nothing happens. 

Just checking!

Thanks.

Offline

#314 2015-11-05 02:06:23

fosskers
Member
Registered: 2012-02-21
Posts: 166
Website

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

aura 1.3.3 released! This fixes some API problems, as well as introduces improvements to the Bash parser, meaning more packages should build.


Author of Aura

Offline

#315 2015-11-06 14:41:29

stef_204
Member
Registered: 2014-08-15
Posts: 37

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

Is there a way to make Aura use aria2 to download package source from the source url's listed in PKGBUILD?

I am referring to using the equivalent of:

% pacman -Sp nameofpackage | aria2c -i -

This can ve bery useful when one has an unstable network connection or the download mirror is either strongly throttled or very slow, causing aura to fail (just as pacman would fail.)

This just occured to me on an AUR package.
I had to download the source (not the AUR tarball but the source of the package itself) using aria2 and modify the PKGBUILD source url to use the locally downloaded file in order to build.

It would be very useful if one could use an equivalent of the pacman command above to tell aura to use aria2, from time to time.

If not possible to make it available for aura 1+, perhaps include it in aura 2?

PS  The source for the above pacman command piped to aria2 comes from here.

Last edited by stef_204 (2015-11-13 13:29:32)

Offline

#316 2015-12-15 18:37:43

lightdot
Member
Registered: 2014-04-22
Posts: 22

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

Just a heads up to others, check your aura-bin / aura version. I just noticed yesterday that I was stuck on aura-bin-1.3.2.1, resolved by manually updating to 1.3.4. The old version saw no updates to aura-bin or other packages yesterday, new version saw some right away.

Hm, I didn't research what was the cause or anything else, perhaps I should have...

I really like aura's features and its CLI, but I'm a bit frustrated with being unable to build some packages from AUR, failing on others, missing updates... A bit of a rant I guess, sorry about that. tongue

Offline

#317 2016-03-23 02:21:22

stef_204
Member
Registered: 2014-08-15
Posts: 37

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

Aura broken at the moment.  Please see this thread: https://github.com/aurapm/aura/issues/404
Any ETA on fix?
Thanks.

Offline

#318 2016-03-23 02:23:51

phaseburn
Member
Registered: 2013-11-21
Posts: 9

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

stef_204 wrote:

Aura broken at the moment.  Please see this thread: https://github.com/aurapm/aura/issues/404
Any ETA on fix?
Thanks.

Hackjob to fix it until it's fixed properly - though you'll need this (or another AUR helper, or a manual install) to update it anyway.

sudo sed -i 's/https:\/\/aur4.archlinux.org\//https:\/\/aur.archlinux.org\/\x00/' /usr/bin/aura

Last edited by phaseburn (2016-03-23 02:41:33)

Offline

#319 2016-03-24 20:50:46

fosskers
Member
Registered: 2012-02-21
Posts: 166
Website

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

Fixed! Thanks for your patience, everyone.


Author of Aura

Offline

#320 2016-03-30 11:27:27

epidings
Member
Registered: 2014-05-02
Posts: 5

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

Thanks for the update! With aura 1.3.5 I can install AUR packages. But it does not offer pending updates to previously installed AUR packages:

> aura -Au
aura >>= Fetching package information...
aura >>= Comparing package versions...
aura >>= No AUR package upgrades necessary.
aura >>= No valid packages specified.

The former version 1.3.4 (with the fix from phaseburn) finds several packages in need of an update:

> aura -Au
aura >>= Fetching package information...
aura >>= Comparing package versions...
aura >>= AUR Packages to upgrade:
atom-editor-bin : 1.5.4-1 => 1.6.0-1
...

Offline

#321 2016-04-21 07:21:24

stef_204
Member
Registered: 2014-08-15
Posts: 37

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

@fosskers

Here is a problem with aura, when powerpill needs to be updated.

It seems when aura uses powerpill, trying to update powerpill and its dependencies with aura fails.
I struggled with this issue until I found the thread referred above and manually (not using aura) installed: powerpill, pyalpm, pm2ml, python3-xcgf, python3-xcpf

Edit: Will post the above issue in github which might be a better forum to report this.

Last edited by stef_204 (2016-04-22 17:23:19)

Offline

#322 2016-10-17 05:21:42

fosskers
Member
Registered: 2012-02-21
Posts: 166
Website

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

Aura 1.3.7 released!

We've dropped some heavy dependencies, which means the vanilla `aura` package is easier to build from the AUR. Remember to include `[haskell-core]` as one of your repositories.

Updates:
- Faster dependency resolution and `-A` queries
- Smaller binary size
- Bug fixes


Author of Aura

Offline

#323 2016-10-17 05:54:36

Alad
Wiki Admin/IRC Op
From: Bagelstan
Registered: 2014-05-04
Posts: 2,309
Website

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

With 1.3.7 I count 5 packages which are neither in AUR nor any official repository. Why not submit those to AUR, so we don't have to use a third-party repository just for an AUR helper?


Mods are just community members who have the occasionally necessary option to move threads around and edit posts. -- Trilby

Offline

#324 2016-10-17 14:20:09

fosskers
Member
Registered: 2012-02-21
Posts: 166
Website

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

The vanilla `aura` package needs `[haskell-core]` in order to build. This has been the case for a year or two now. The binary is coming soon, and we have plans to release a dep-less version in the future.

The problem with putting any extra packages into the AUR (which I used to do) was the sheer amount of them. Right now the underlying `haskell-aur` package depends on `servant`, which has quite the dep tree itself.


Author of Aura

Offline

#325 2016-10-17 17:31:32

Alad
Wiki Admin/IRC Op
From: Bagelstan
Registered: 2014-05-04
Posts: 2,309
Website

Re: Aura - 3.2.6 - The Secure, Multilingual Package Manager

I don't think 5 packages qualifies as a "sheer amount". In any event, it sounds like Aura being impossible to build on a regular Arch installation is a feature. I'll leave it at that then.

Last edited by Alad (2016-10-17 17:34:10)


Mods are just community members who have the occasionally necessary option to move threads around and edit posts. -- Trilby

Offline

Board footer

Powered by FluxBB